# dev.inmo.tgbotapi.requests.edit.text

docs

# Package dev.inmo.tgbotapi.requests.edit.text

## Types

EditChatMessageText
Link copied to clipboard
data class EditChatMessageText : EditChatMessage < TextContent > , EditTextChatMessage, EditReplyMessage, EditDisableWebPagePreviewMessage
Content copied to clipboard
EditInlineMessageText
Link copied to clipboard
data class EditInlineMessageText : EditInlineMessage, EditTextChatMessage, EditReplyMessage, EditDisableWebPagePreviewMessage
Content copied to clipboard

## Functions

EditChatMessageText
Link copied to clipboard
fun EditChatMessageText ( chatId: ChatIdentifier , messageId: MessageIdentifier , entities: TextSourcesList , disableWebPagePreview: Boolean ? = null, replyMarkup: InlineKeyboardMarkup ? = null): EditChatMessageText
Content copied to clipboard
fun EditChatMessageText ( chatId: ChatIdentifier , messageId: MessageIdentifier , text: String , parseMode: ParseMode ? = null, disableWebPagePreview: Boolean ? = null, replyMarkup: InlineKeyboardMarkup ? = null): EditChatMessageText
Content copied to clipboard
EditInlineMessageText
Link copied to clipboard
fun EditInlineMessageText ( inlineMessageId: InlineMessageIdentifier , entities: TextSourcesList , disableWebPagePreview: Boolean ? = null, replyMarkup: InlineKeyboardMarkup ? = null): EditInlineMessageText
Content copied to clipboard
fun EditInlineMessageText ( inlineMessageId: InlineMessageIdentifier , text: String , parseMode: ParseMode ? = null, disableWebPagePreview: Boolean ? = null, replyMarkup: InlineKeyboardMarkup ? = null): EditInlineMessageText
Content copied to clipboard

## Properties

editMessageTextMethod
Link copied to clipboard
const val editMessageTextMethod : String
Content copied to clipboard